# Uses of Interface
org.opensaml.xmlsec.encryption.ReferenceList

Packages that use ReferenceList
Package
Description
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of ReferenceList in org.opensaml.saml.saml2.encryption

Fields in org.opensaml.saml.saml2.encryption with type parameters of type ReferenceList
Modifier and Type
Field
Description
`private XMLEncryptionBuilder<ReferenceList>`
Encrypter.`referenceListBuilder`
Builder for ReferenceList objects.

## Uses of ReferenceList in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return ReferenceList
Modifier and Type
Method
Description
`ReferenceList`
DerivedKey.`getReferenceList()`
Get the ReferenceList child element.
`ReferenceList`
EncryptedKey.`getReferenceList()`
Gets the child element containing pointers to EncryptedData and EncryptedKey elements encrypted using this key.
Methods in org.opensaml.xmlsec.encryption with parameters of type ReferenceList
Modifier and Type
Method
Description
`void`
DerivedKey.`setReferenceList(ReferenceList referenceList)`
Set the ReferenceList child element.
`void`
EncryptedKey.`setReferenceList(ReferenceList newReferenceList)`
Sets the child element containing pointers to EncryptedData and EncryptedKey elements encrypted using this key.

## Uses of ReferenceList in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement ReferenceList
Modifier and Type
Class
Description
`class`
`ReferenceListImpl`
Concrete implementation of `ReferenceList`.
Fields in org.opensaml.xmlsec.encryption.impl declared as ReferenceList
Modifier and Type
Field
Description
`private ReferenceList`
DerivedKeyImpl.`referenceList`
ReferenceList child element.
`private ReferenceList`
EncryptedKeyImpl.`referenceList`
ReferenceList value.
Methods in org.opensaml.xmlsec.encryption.impl that return ReferenceList
Modifier and Type
Method
Description
`ReferenceList`
ReferenceListBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`ReferenceList`
ReferenceListBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`ReferenceList`
DerivedKeyImpl.`getReferenceList()`
Get the ReferenceList child element.
`ReferenceList`
EncryptedKeyImpl.`getReferenceList()`
Gets the child element containing pointers to EncryptedData and EncryptedKey elements encrypted using this key.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type ReferenceList
Modifier and Type
Method
Description
`void`
DerivedKeyImpl.`setReferenceList(ReferenceList newReferenceList)`
Set the ReferenceList child element.
`void`
EncryptedKeyImpl.`setReferenceList(ReferenceList newReferenceList)`
Sets the child element containing pointers to EncryptedData and EncryptedKey elements encrypted using this key.